package com.jojubanking.boot.module.system.convert.usersxq;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.usersxq.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.usersxq.UsersXqDO;

/**
 * 用户信息 Convert
 *
 * @author admin
 */
@Mapper
public interface UsersXqConvert {

    UsersXqConvert INSTANCE = Mappers.getMapper(UsersXqConvert.class);

    UsersXqDO convert(UsersXqCreateReqVO bean);

    UsersXqDO convert(UsersXqUpdateReqVO bean);

    UsersXqRespVO convert(UsersXqDO bean);

    List<UsersXqRespVO> convertList(List<UsersXqDO> list);

    PageResult<UsersXqRespVO> convertPage(PageResult<UsersXqDO> page);

    List<UsersXqExcelVO> convertList02(List<UsersXqDO> list);

}
